Package Release Info

sushi-3.34.0-bp154.1.126

Update Info: Base Release
Available in Package Hub : 15 SP4

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

sushi
sushi-debuginfo
sushi-debugsource
sushi-lang

Change Logs

Version: 3.28.3-bp150.2.4
* Tue Apr 24 2018 bjorn.lie@gmail.com
- Update to version 3.28.3:
  + Fix another LibreOffice to PDF conversion regression (hopefully
    for good this time).
* Fri Apr 20 2018 bjorn.lie@gmail.com
- Update to version 3.28.2:
  + Fix another LibreOffice to PDF conversion regression.
- Changes from version 3.28.1:
  + Fix LibreOffice to PDF conversion regression.
  + Add support for docx/pptx/xlsx MIME types.
- Changes from version 3.28.0:
  + Add support for GIF animations.
  + Use LibreOffice directly instead of unoconv.
  + Prefer LibreOffice from flatpak when installed.
- Drop unoconv BuildRequires and Recommends, following upstream
  changes.
- Replace gobject-introspection-devel with
  pkgconfig(gobject-introspection-1.0) BuildRequires.
- Drop no longer needed post(un) handling of
  glib2_gsettings_schema_post(un) and
  glib2_gsettings_schema_requires macro.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sat May 06 2017 zaitor@opensuse.org
- Update to version 3.24.0:
  + Updated translations.
* Thu Mar 02 2017 zaitor@opensuse.org
- Update to version 3.23.91:
  + Use correct icon when fullscreen.
  + Use upstream format.js code.
  + Specify GdkX11 import version.
  + Updated translations.
* Wed Aug 31 2016 zaitor@opensuse.org
- Update to version 3.21.91:
  + Make sushi work under Wayland.
  + Fix builddir != srcdir builds.
  + Updated translations.
* Tue May 17 2016 zaitor@opensuse.org
- Update to version 3.20.0:
  + Link directly with harfbuzz.
  + Updated translations.
- Add pkgconfig(harfbuzz) BuildRequires and version it. New
  explicit dependency.
* Fri Mar 04 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Port to ClutterGst 3.0.
  + Don't assume X.
  + Don't use deprecated style classes.
  + Port to GTask.
  + Fix toolbar spacing.
  + Resync font renderer from gnome-font-viewer.
- Drop sushi-port-to-clutter-gst-3.0.patch: fixed upstream.
- Remove libtool BuildRequires and call to autoreconf, as we no
  longer carry any patches.
* Sat Nov 14 2015 zaitor@opensuse.org
- Add sushi-port-to-clutter-gst-3.0.patch: Port to clutter-gst-3.0
  (bgo#756725). Also add libtool BuildRequires and pass autoreconf
  before configure as the patch touches the buildsystem.
- Following above port, replace pkgconfig(clutter-gst-2.0) for
  pkgconfig(clutter-gst-3.0) BuildRequires.
* Wed Sep 23 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Thu Jul 23 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Apply embedded orientation to images.
  + Fix encoding problems when loading non utf-8 text files.
  + Do not crash when right clicking text previews.
  + Add a way to easily run under gdb.
  + Use regular GTK client side decorations.
  + Use GResource for auxiliary data.
  + Fix theming glitches after GTK update.
* Wed May 13 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Apr 06 2015 dmueller@suse.com
- disable dependency on libreoffice for all non-x86 platforms
* Tue Mar 10 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Fix deadlock with recent clutter/clutter-gtk.
  + Don't require a parent window.
  + Port HTML viewer to WebKit2.
  + Fix margins in RTL.
  + Fix toolbar icons for RTL.
- Replace pkgconfig(webkitgtk-3.0) BuildRequires with
  pkgconfig(webkit2gtk-4.0): follow upstreams port to WebKit2.
* Sat Jan 31 2015 zaitor@opensuse.org
- Exclude unoconv BuildRequires on PPC arches as it is not
  available there.
* Thu Apr 24 2014 dimstar@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Thu Feb 20 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Fix compatibility with js24-based GJS.
  + Update for E4X removal.
  + Update FSF address.
- Drop sushi-e4x-removal.patch: Fixed upstream.
* Thu Feb 13 2014 dimstar@opensuse.org
- Add sushi-e4x-removal.patch: Stringify the xml definitions for
  E4X removal.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Make translations appear.
  + Some fixes for right-to-left languages.
* Tue Apr 16 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Fix a crash while loading PDF documents.
Version: 3.34.0-bp152.4.3.1
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Tue Sep 10 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.0:
  + Add support for moving Nautilus selection with arrow keys.
  + Add support for parenting the window on Wayland.
  + Use builder-dark style for text/source viewer.
  + Add localization for appdata file.
* Mon Sep 09 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.33.90:
  + Add a command line launcher.
  + Fix viewer mimetype matching.
  + Load viewers from home directory.
  + Updated translations.
- Changes from version 3.33.4:
  + Add a native LibreofficeKit renderer.
  + Fix translation infrastructure regression.
  + Fix loading album cover art from Amazon.
  + Fix several glitches on HiDpi and fractional scaling displays.
  + Respect placement of close button preference.
  + Fix audio metadata tags retrieval.
  + Only load a single GstTagList copy.
  + Fix displaying audio tag content with markup characters.
  + Add an appdata file.
  + Properly letterbox album cover art.
  + Add a way to report loading errors in the main view.
  + Scale window size with display resolution.
- Changes from version 3.33.3:
  + Rewrite to use GTK directly, drop Clutter dependency.
  + Use GtkSourceView 4.
- Drop sushi-port-to-gtksourceview4.patch: Fixed upstream.
- Add meson BuildRequires and macros.
- Drop pkgconfig(clutter-1.0), pkgconfig(clutter-gst-3.0),
  pkgconfig(clutter-gtk-1.0), pkgconfig(clutter-x11-1.0) and
  pkgconfig(gstreamer-pbutils-1.0) BuildRequires following upstream
  changes.
- Add pkgconfig(epoxy), pkgconfig(gdk-pixbuf-2.0),
  pkgconfig(gio-unix-2.0), pkgconfig(gstreamer-audio-1.0),
  pkgconfig(gstreamer-video-1.0), pkgconfig(gtk+-wayland-3.0) and
  pkgconfig(gtk+-x11-3.0) BuildRequires following upstream
  changes.
- Add sushi-rpmlintrc, filter out needless warning about gir file.
- Drop libsushi-1_0-0 and typelib-1_0-Sushi-1_0 Obsoletes: No
  currently supported version of openSUSE should have these
  installed.
* Wed Jun 19 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.1:
  + Specify GtkSourceView 3.0 import version.
- Rebase sushi-port-to-gtksourceview4.patch, drop part now included
  in tarball.
* Tue Jun 18 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Add sushi-port-to-gtksourceview4.patch: Port to gtksourceview4.
  Following this patch, replace pkgconfig(gtksourceview-3.0) with
  pkgconfig(gtksourceview-4) BuildRequires.
* Sun Mar 10 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
  + Update DOAP file for GitLab move.
  + Explicitly hide minimize and maximize.
* Wed Jan 02 2019 bjorn.lie@gmail.com
- Update to version 3.31.2:
  + Port to meson build system.
  + Replace some deprecated API.
- Switch to meson build system, add meson BuildRequires and macros.
- Drop intltool BuildRequires, no longer used nor needed.
* Wed Sep 26 2018 bjorn.lie@gmail.com
- Update to version 3.30.0:
  + Fix miscellaneous warnings.
  + Rename service file to match owned bus name.
- Use autosetup and make_build macros.